Question Is there a way to play games that require a higher firmware without updating?

Discussion in 'Switch - Exploits, Custom Firmwares & Soft Mods' started by Delton259, Aug 5, 2018.

  1. Delton259
    OP

    Delton259 Newbie

    Newcomer
    1
    Jun 8, 2018
    United States
    Is this possible?
     
    MarkDarkness likes this.
  2. Umbreon

    Umbreon Newbie

    Newcomer
    1
    Jul 11, 2018
    Switzerland
    Yes, newest Tinfoil builds ignore the "minimum required firmware"-info in the xml-files of any NSP. However better use the ChoiDujourNX homebrew to upgrade the firmware without burning fuses. If the game requires things that are only available in a newer firmware it will obviously crash. Tinfoil requires CFW + fs patches to work and es patches if the NSP isn't signed for your console.
     
    Last edited by Umbreon, Aug 5, 2018
    Subtle Demise likes this.
  3. Kafluke

    Kafluke GBAtemp Guru

    Member
    13
    May 6, 2006
    United States
    When you recommend this method you should also note to users that it requires autoCRM. AutoCRM is not for everybody.

    For example my fam likes to just power on and play. I have official versions running on OFW for this. AutoCRM makes this complicated for them so I dont use it. I dont have a dongle but I purchased SX OS so I would have to use my laptop or an android phone on every boot and that's not an option for my kids
     
    MarkDarkness likes this.
  4. Umbreon

    Umbreon Newbie

    Newcomer
    1
    Jul 11, 2018
    Switzerland
    Yes, true but the vast majority of people leave their Switches in Sleep Mode. Not only that, but it's meant to be left in that mode. The device is constructed to always be in Sleep Mode. Its CPU and most other hardware components are completely off while being in Sleep Mode and so barely uses any energy. You only need to resend the payload if you turn it off completely so just always leave it in Sleep Mode and your problem is solved. But yes, I get your point why updating without burning fuses is nothing for you because I also often turn it off for absolutely no reason.
     
    Last edited by Umbreon, Aug 5, 2018
    MarkDarkness likes this.
  5. iriez

    iriez GBAtemp Fan

    Member
    7
    Oct 27, 2016
    United States
  6. Umbreon

    Umbreon Newbie

    Newcomer
    1
    Jul 11, 2018
    Switzerland
  7. iriez

    iriez GBAtemp Fan

    Member
    7
    Oct 27, 2016
    United States
    Great knowledge to have, thank you!

    I will advise tinfoil from now on.
     
  8. Amino

    Amino Advanced Member

    Newcomer
    2
    Feb 10, 2016
    Gambia, The
    Failed to install NSP!
    OpenFileSystemWithId:95 Failed to open file system with id.
    Error code: 0x00236e02

    My switch is on 3.0.0 newest tinfoil
    atmosphere + Sigpatch
    tumGER/SDfiles
     
  9. Lacius

    Lacius GBAtemp Guru

    Member
    16
    May 11, 2008
    United States
    Even if you get them to install, very few games are going to run successfully on 3.0.0.

    You might want to update without burning your efuses.
     
  10. Ezrever

    Ezrever Newbie

    Newcomer
    1
    Sep 16, 2018
    Belgium
    Did this already happen to anyone?
    My switch is on 4.0.1 (out of the box) and I think to keep it that way, at least for a while. Yesterday I installed ReiNX, Tinfoil, ... . Super Mario Odyssey works like a charm, Super Meat Boy and Steam World Dig 'needed' higher firmware. So I installed them again with Tinfoil, this time with "ignore minimum required firmware". They seem to be working just fine.

    So anyone experience with using Tinfoil's ignore minimum required firmware and having a game crash?
     
    Last edited by Ezrever, Dec 14, 2018
  11. NuadaXXX

    NuadaXXX Advanced Member

    Newcomer
    2
    Apr 7, 2016
    Gambia, The
    NIRVANA
    use NSCB u can make all Updates and DLCs in one XCI and u can patch the xci to all firmwares versions
     
  12. Zap2000

    Zap2000 GBAtemp Fan

    Member
    3
    Oct 19, 2018
    United Kingdom
    I’m trying to decide weather autoCRM or not. Is there a risk with burnt fuses with non autoCRM? Not sure the best to use for young kids
     
  13. Kafluke

    Kafluke GBAtemp Guru

    Member
    13
    May 6, 2006
    United States
    This was a while ago. I've been using autorcm for months without issue. Switch just goes to sleep and all is well
     
  14. chippy

    chippy GBAtemp Regular

    Member
    4
    Dec 21, 2017
    Australia
    It all depends what master key the game/update is used to encrypt if it works. So it might need say 5.1 but uses a 4.0 key then it will work but not if I it's a 5.1 key on a 4.0 console.

    Get the switch backup manager for your pc. It will tell you the key version used and what not
     
    Ezrever and MarkDarkness like this.
  15. mdmachine

    mdmachine GBAtemp Regular

    Member
    3
    Jun 15, 2009
    United States
    AFAIK you can ignore or patch most games to a point. If the game/update is calling upon a function that your firmware does not have, it'll crash.
     
  16. Irocadiext

    Irocadiext Advanced Member

    Newcomer
    2
    Jul 19, 2018
    United States
    honestly updating with choidujournx is so simple a fast. finally updated the otherday and happy I did. As long as you stay in autoRCM mode no fuses will be burnt, but you will have to stay in autoRCM forever if I understand correctly. Also when in autoRCM, even when you shut down power totally it really gets kicked back into RCM mode so its never really off and it charges poorly in RCM so you may wake up to a dead battery. It is best to just leave in sleep mode where it charges normally. if left in sleep mode it will be easy for any age kid to just pop back on.
     
    Ezrever likes this.
  17. MarkDarkness

    MarkDarkness Deliverator

    Member
    6
    GBAtemp Patron
    MarkDarkness is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    Dec 17, 2009
    Poland
    Can I manually override the keys needed by editting the NSP, since we know the keys? Is this sorta what Tinfoil already does?
     
    Ezrever likes this.
  18. chippy

    chippy GBAtemp Regular

    Member
    4
    Dec 21, 2017
    Australia
    Tinfoil doesn't do that. There is an xml file inside the nsp that says what OS version it's min is. Tinfoil just changes that value to 1.0
    It doesn't use any keys. If your system doesn't have the key e.g. a 5.1 game encrypted on a 4.0 system, it can't decript the game seeing the 4.0 doesn't have 5.1 keys
     
    MarkDarkness likes this.
  19. MarkDarkness

    MarkDarkness Deliverator

    Member
    6
    GBAtemp Patron
    MarkDarkness is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    Dec 17, 2009
    Poland
    That's very interesting to know, thank you. I don't suppose I could derive the keys by upgrading and then dowgrading, huh... Atmosphere would not know WTF to do witht the 5.1 keys.
     
  20. kprovost7314

    kprovost7314 GBAtemp's Official Shota and Bara Master

    Member
    8
    Dec 24, 2014
    United States
    In that bara manga ( ͡° ͜ʖ ͡°)
    Is there a list of games that would run successfully on 3.0.0, or are most 3.0.1 games going to work on 3.0.0?
     
Loading...